org.jgroups.blocks

## Class LockMultiLockedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jgroups.blocks.LockMultiLockedException

All Implemented Interfaces:
  java.io.Serializable

    public class LockMultiLockedException
    extends java.lang.Exception

Thrown by the `DistributedLockManager.unlock(Object, Object, boolean)` method if a lock is only locally released, because it is locked by multiple DistributedLockManagers. This can happen after a merge for example.

Author:
  Robert Schaffar-Taurok (robert@fusion.at)
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LockMultiLockedException()`
`LockMultiLockedException(java.lang.String s)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LockMultiLockedException

    public LockMultiLockedException()

#### LockMultiLockedException

    public LockMultiLockedException(java.lang.String s)